# Используем официальный образ Python
FROM python:3.13-slim

# Устанавливаем рабочую директорию внутри контейнера
WORKDIR /app

# Копируем файлы зависимостей
COPY requirements.txt .

# Устанавливаем зависимости
RUN pip install --no-cache-dir -r requirements.txt

# Копируем остальные файлы приложения
COPY . .

# Открываем порт, на котором будет слушать FastAPI
EXPOSE 8000

# Запускаем приложение с помощью Uvicorn
# --host 0.0.0.0 делает приложение доступным извне контейнера
# --port 8000 указывает порт, на котором слушает Uvicorn
CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8000"]
